<back to all web services

FileUpload

The following routes are available for this service:
POST/RestApi/translations/fileupload
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class FileUpload
{
    open var RequestStream:InputStream? = null
    open var FileName:String? = null
    open var Connector:String? = null
}

Kotlin FileUpload DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/fileupload HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"FileName":"String","Connector":"String"}